summaryrefslogtreecommitdiff
path: root/data/node/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'data/node/make.sh')
-rw-r--r--data/node/make.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/data/node/make.sh b/data/node/make.sh
index 3f0521b48..91dc4fe9a 100644
--- a/data/node/make.sh
+++ b/data/node/make.sh
@@ -19,8 +19,13 @@ export CXX_target="${CXX}"
export LINK_target="${CXX}" # On purpose, see out/Makefile
export AR_target="${AR}"
-export GYP_CROSSCOMPILE=1
-export GYP_DEFINES="target_arch=arm64 v8_target_arch=arm64 host_os=linux target_os=ios OS=ios"
-./configure --without-snapshot --shared --dest-os=ios --dest-cpu=arm64 --with-intl=none --shared-zlib --shared-cares --shared-openssl # --openssl-no-asm
-make
+GYP_CROSSCOMPILE=1 \
+GYP_DEFINES="v8_enable_inspector=1 target_arch=arm64 v8_target_arch=arm64 host_os=$(uname -s | sed -e 's/Linux/linux/;s/Darwin/mac/')" \
+./configure --prefix="${PKG_TAPF}" --without-snapshot --cross-compiling --dest-os=ios --dest-cpu=arm64 --without-intl --without-npm --shared-zlib --shared-cares --shared-openssl --enable-static # --openssl-no-asm --shared
+
+# TODO: Fix tool/install.py and the Makefile
+make -j2
+make install DESTDIR="${PKG_DEST}"
+
+cp Release/node ${PKG_DEST}/usr/bin || :